Uploaded image for project: 'Camel'
  1. Camel
  2. CAMEL-11433

Unable to use camel-box in OSGI environment

    XMLWordPrintableJSON

Details

    • Bug
    • Status: Resolved
    • Major
    • Resolution: Fixed
    • 2.19.0
    • 2.19.2, 2.20.0
    • camel-box
    • None
    • Unknown

    Description

      Using Karaf 4.1.1:

       Unresolved requirements: osgi.wiring.package; (osgi.wiring.package=org.apache.camel.component.box)]
      	at org.apache.karaf.shell.support.MultiException.throwIf(MultiException.java:61) ~[143:org.apache.karaf.shell.core:4.1.1]
      	at org.apache.karaf.bundle.command.Install.execute(Install.java:131) [23:org.apache.karaf.bundle.core:4.1.1]
      	at org.apache.karaf.shell.impl.action.command.ActionCommand.execute(ActionCommand.java:84) [143:org.apache.karaf.shell.core:4.1.1]
      	at org.apache.karaf.shell.impl.console.osgi.secured.SecuredCommand.execute(SecuredCommand.java:68) [143:org.apache.karaf.shell.core:4.1.1]
      	at org.apache.karaf.shell.impl.console.osgi.secured.SecuredCommand.execute(SecuredCommand.java:86) [143:org.apache.karaf.shell.core:4.1.1]
      	at org.apache.felix.gogo.runtime.Closure.executeCmd(Closure.java:560) [143:org.apache.karaf.shell.core:4.1.1]
      

      Attachments

        Issue Links

          Activity

            People

              davsclaus Claus Ibsen
              jpoth John Poth
              Votes:
              0 Vote for this issue
              Watchers:
              5 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved: